//---------------------------------------------------------------------------

#ifndef UTPMovimentoSeriesH
#define UTPMovimentoSeriesH


#include <VCLTee.Series.hpp>
#include <Vcl.Imaging.GIFImg.hpp>


#include "TeeComma.hpp"
#include "TeEngine.hpp"
#include "TeeProcs.hpp"
#include "TeeGDIPlus.hpp"
#include "TeeSpline.hpp"
#include <TeeTools.hpp>

//---------------------------------------------------------------------------
class TTPCustomSeries : public TLineSeries
{
	public:

	TTPCustomSeries(TChart* chart);

	 void AddPoint(TDateTime pDate, float Km);

	void __fastcall DoSeriesMouseEnter(System::TObject* Sender);
	void __fastcall DoSeriesMouseLeave(System::TObject* Sender);

	virtual void __fastcall DrawValue(int ValueIndex);

  int indexSelected_;


};

#endif
