//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
#include "UTPCustomSeries.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
	: TForm(Owner)
{

	chrTTP->LeftAxis->SetMinMax(0, 10);
	chrTTP->RightAxis->SetMinMax(0, 10);
	chrTTP->BottomAxis->SetMinMax(Now(), Now()+2);
	chrTTP->TopAxis->SetMinMax(Now(), Now()+2);

	 chrTTP->BottomAxis->DateTimeFormat    = "hh:nn";
	chrTTP->BottomAxis->AxisValuesFormat  = "#####0.#################";

	chrTTP->BottomAxis->Automatic         = false;
	chrTTP->BottomAxis->LabelStyle        = talValue;
	chrTTP->BottomAxis->Axis->Width       = 0.1;
	chrTTP->BottomAxis->Ticks->Width      = 0.1;
	chrTTP->BottomAxis->MinorTicks->Width = 0.1;
	chrTTP->BottomAxis->Grid->ZPosition   = 0;


	TDateTime dateStart = Now();
	TTPCustomSeries  *serie = new TTPCustomSeries(chrTTP);
	for(int i = 0; i< 10; i++)
	{
		 serie->AddPoint(dateStart,i);
		 dateStart += Random(10)* 1.0/24.0;
		 serie->AddPoint(dateStart,i);


	}

	chrTTP->AddSeries(serie);


}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button1Click(TObject *Sender)
{
 chrTTP->Refresh();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button2Click(TObject *Sender)
{
 chrTTP->Repaint();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button3Click(TObject *Sender)
{
	for(int i = 0; i < 	chrTTP->SeriesList->Count; i++)
	chrTTP->SeriesList->Items[i]->RefreshSeries();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button4Click(TObject *Sender)
{
	for(int i = 0; i < 	chrTTP->SeriesList->Count; i++)
	chrTTP->SeriesList->Items[i]->Repaint();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button5Click(TObject *Sender)
{
	TDateTime dateStart = Now()+= Random(3)* 1.0/24.0;
	TTPCustomSeries  *serie = new TTPCustomSeries(chrTTP);
	for(int i = 0; i< 10; i++)
	{
		 serie->AddPoint(dateStart,i);
		 dateStart += Random(10)* 1.0/24.0;
		 serie->AddPoint(dateStart,i);


	}

	chrTTP->AddSeries(serie);
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button6Click(TObject *Sender)
{
  chrTTP->RemoveAllSeries() ;
}
//---------------------------------------------------------------------------
